Bug 1180451 - (CVE-2020-35493) VUL-1: CVE-2020-35493: binutils: heap-based buffer overflow in bfd_pef_parse_function_stubs function in bfd/pef.c via crafted PEF file
(CVE-2020-35493)
VUL-1: CVE-2020-35493: binutils: heap-based buffer overflow in bfd_pef_parse_...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Michael Matz
Security Team bot
https://smash.suse.de/issue/274140/
CVSSv3.1:SUSE:CVE-2020-35493:5.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-30 09:38 UTC by Alexander Bergmann
Modified: 2022-03-22 14:18 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2020-12-30 09:38:43 UTC
rh#1911437

Objdump of GNU Binutils before 2.34 has a heap-buffer-overflow in function bfd_pef_parse_function_stubs (file bfd/pef.c) which could allow attackers to cause a denial of service or unspecified impact.

Reference:
https://sourceware.org/bugzilla/show_bug.cgi?id=25307

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1911437
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-35493
https://access.redhat.com/security/cve/CVE-2020-35493
Comment 3 Swamp Workflow Management 2021-11-02 14:28:46 UTC
SUSE-SU-2021:3593-1: An update that solves 21 vulnerabilities, contains 7 features and has 8 fixes is now available.

Category: security (moderate)
Bug References: 1126826,1126829,1126831,1140126,1142649,1143609,1153768,1153770,1157755,1160254,1160590,1163333,1163744,1179036,1179341,1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1184620,1184794
CVE References: CVE-2019-12972,CVE-2019-14250,CVE-2019-14444,CVE-2019-17450,CVE-2019-17451,CVE-2019-9074,CVE-2019-9075,CVE-2019-9077,CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-3487
JIRA References: ECO-2373,PM-2767,SLE-18637,SLE-19618,SLE-21561,SLE-7464,SLE-7903
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud Crowbar 8 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud 9 (src):    binutils-2.37-9.39.1
SUSE OpenStack Cloud 8 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    binutils-2.37-9.39.1, cross-ppc-binutils-2.37-9.39.1, cross-spu-binutils-2.37-9.39.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP5 (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    binutils-2.37-9.39.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    binutils-2.37-9.39.1
HPE Helion Openstack 8 (src):    binutils-2.37-9.39.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2021-11-04 17:17:01 UTC
openSUSE-SU-2021:3616-1: An update that solves 13 vulnerabilities, contains four features and has one errata is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1184620,1184794
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
openSUSE Leap 15.3 (src):    binutils-2.37-7.21.2, bpftrace-0.11.4-3.2.1, cross-aarch64-binutils-2.37-7.21.1, cross-arm-binutils-2.37-7.21.1, cross-avr-binutils-2.37-7.21.1, cross-epiphany-binutils-2.37-7.21.1, cross-hppa-binutils-2.37-7.21.1, cross-hppa64-binutils-2.37-7.21.1, cross-i386-binutils-2.37-7.21.1, cross-ia64-binutils-2.37-7.21.1, cross-m68k-binutils-2.37-7.21.1, cross-mips-binutils-2.37-7.21.1, cross-ppc-binutils-2.37-7.21.1, cross-ppc64-binutils-2.37-7.21.1, cross-ppc64le-binutils-2.37-7.21.1, cross-riscv64-binutils-2.37-7.21.1, cross-rx-binutils-2.37-7.21.1, cross-s390-binutils-2.37-7.21.1, cross-s390x-binutils-2.37-7.21.1, cross-sparc-binutils-2.37-7.21.1, cross-sparc64-binutils-2.37-7.21.1, cross-spu-binutils-2.37-7.21.1, cross-x86_64-binutils-2.37-7.21.1
Comment 5 Swamp Workflow Management 2021-11-04 17:21:22 UTC
SUSE-SU-2021:3616-1: An update that solves 13 vulnerabilities, contains four features and has one errata is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1184620,1184794
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    binutils-2.37-7.21.2, bpftrace-0.11.4-3.2.1
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    binutils-2.37-7.21.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    binutils-2.37-7.21.2
SUSE Enterprise Storage 6 (src):    binutils-2.37-7.21.2
SUSE CaaS Platform 4.0 (src):    binutils-2.37-7.21.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-11-15 14:21:28 UTC
openSUSE-SU-2021:1475-1: An update that solves 14 vulnerabilities, contains four features and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1183909,1184519,1184620,1184794,1188941,1191473,1192267
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-20294,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
openSUSE Leap 15.2 (src):    binutils-2.37-lp152.4.9.1, bpftrace-0.11.4-lp152.2.7.1, cross-aarch64-binutils-2.37-lp152.4.9.1, cross-arm-binutils-2.37-lp152.4.9.1, cross-avr-binutils-2.37-lp152.4.9.1, cross-epiphany-binutils-2.37-lp152.4.9.1, cross-hppa-binutils-2.37-lp152.4.9.1, cross-hppa64-binutils-2.37-lp152.4.9.1, cross-i386-binutils-2.37-lp152.4.9.1, cross-ia64-binutils-2.37-lp152.4.9.1, cross-m68k-binutils-2.37-lp152.4.9.1, cross-mips-binutils-2.37-lp152.4.9.1, cross-ppc-binutils-2.37-lp152.4.9.1, cross-ppc64-binutils-2.37-lp152.4.9.1, cross-ppc64le-binutils-2.37-lp152.4.9.1, cross-riscv64-binutils-2.37-lp152.4.9.1, cross-rx-binutils-2.37-lp152.4.9.1, cross-s390-binutils-2.37-lp152.4.9.1, cross-s390x-binutils-2.37-lp152.4.9.1, cross-sparc-binutils-2.37-lp152.4.9.1, cross-sparc64-binutils-2.37-lp152.4.9.1, cross-spu-binutils-2.37-lp152.4.9.1, cross-xtensa-binutils-2.37-lp152.4.9.1
Comment 7 Swamp Workflow Management 2022-03-22 14:18:48 UTC
SUSE-SU-2022:0934-1: An update that solves 14 vulnerabilities, contains four features and has 5 fixes is now available.

Category: security (moderate)
Bug References: 1179898,1179899,1179900,1179901,1179902,1179903,1180451,1180454,1180461,1181452,1182252,1183511,1183909,1184519,1184620,1184794,1188941,1191473,1192267
CVE References: CVE-2020-16590,CVE-2020-16591,CVE-2020-16592,CVE-2020-16593,CVE-2020-16598,CVE-2020-16599,CVE-2020-35448,CVE-2020-35493,CVE-2020-35496,CVE-2020-35507,CVE-2021-20197,CVE-2021-20284,CVE-2021-20294,CVE-2021-3487
JIRA References: PM-2767,SLE-18637,SLE-19618,SLE-21561
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise Server 15-LTSS (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    binutils-2.37-6.23.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    binutils-2.37-6.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.